Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WebServerMBean

All Known Subinterfaces:
  VirtualHostMBean

public interface WebServerMBean
extends DeploymentMBean

This bean represents the configuration of virtual web server within a weblogic server. Note that a server may define multiple web servers to support virtual hosts.

This MBean represents a virtual host.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static java.lang.String` | `DEFAULT_LOG_FILE_NAME`
`static java.lang.String` | `TIME_FORMAT` The format string for log file rotation start time.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.util.Map` | `getCharsets()` Gets the charsets attribute of the WebServerMBean object
`java.lang.String` | `getDefaultServerName()` Sets the HTTP defaultServerName
`WebAppComponentMBean` | `getDefaultWebApp()` Gets the defaultWebApp attribute of the WebServerMBean object
`java.lang.String` | `getFrontendHost()` Sets the HTTP frontendHost Provides a method to ensure that the webapp will always have the correct HOST information, even when the request is coming through a firewall or a proxy.
`int` | `getFrontendHTTPPort()` Sets the frontendHTTPPort Provides a method to ensure that the webapp will always have the correct PORT information, even when the request is coming through a firewall or a proxy.
`int` | `getFrontendHTTPSPort()` Sets the frontendHTTPSPort Provides a method to ensure that the webapp will always have the correct PORT information, even when the request is coming through a firewall or a proxy.
`int` | `getHttpsKeepAliveSecs()` Number of seconds to maintain HTTPS keep-alive before timing out the request.
`int` | `getKeepAliveSecs()` Number of seconds to maintain HTTP keep-alive before timing out the request.
`int` | `getLogFileBufferKBytes()` Gets the logFileBufferKBytes attribute of the WebServerMBean object
`int` | `getLogFileCount()` The maximum number of log files that the server creates when it rotates the log.
`int` | `getLogFileFlushSecs()` The interval (in seconds) at which the server checks the size of the buffer that stores HTTP requests.
`java.lang.String` | `getLogFileFormat()` Specifies the format of the HTTP log file.
`java.lang.String` | `getLogFileName()` The name of the file that stores the HTTP-request log.
`int` | `getLogRotationPeriodMins()` The interval (in minutes) at which the server saves old HTTP requests to another log file.
`java.lang.String` | `getLogRotationTimeBegin()` Determines the start time for a time-based rotation sequence.
`java.lang.String` | `getLogRotationType()` Criteria for moving old HTTP requests to a separate log file: `size`.
`boolean` | `getLogTimeInGMT()` Specifies whether the time stamps for HTTP log messages are in Greenwich Mean Time (GMT) regardless of the local time zone that the host computer specifies.
`int` | `getMaxLogFileSizeKBytes()` The size (1 - 65535 kilobytes) that triggers the server to move log messages to a separate file.
`int` | `getMaxPostSize()` Gets the maxPostSize attribute of the WebServerMBean object
`int` | `getMaxPostTimeSecs()` Gets the maxPostTimeSecs attribute of the WebServerMBean object
`int` | `getPostTimeoutSecs()` Gets the postTimeoutSecs attribute of the WebServerMBean object
`java.util.Map` | `getURLResource()` Gets the uRLResource attribute of the WebServerMBean object
`int` | `getWriteChunkBytes()` Gets the writeChunkBytes attribute of the WebServerMBean object
`boolean` | `isAcceptContextPathInGetRealPath()` Gets the acceptContextPathInGetRealPath attribute of the WebServerMBean object
`boolean` | `isAuthCookieEnabled()`
`boolean` | `isChunkedTransferDisabled()` Gets the chunkedTransferDisabled attribute of the WebServerMBean object
`boolean` | `isClusteringEnabled()` Gets the clusteringEnabled attribute of the WebServerMBean object
`boolean` | `isDebugEnabled()` Gets the debugEnabled attribute of the WebServerMBean object
`boolean` | `isEventsEnabled()` Gets the eventsEnabled attribute of the WebServerMBean object
`boolean` | `isKeepAliveEnabled()` Gets the keepAliveEnabled attribute of the WebServerMBean object
`boolean` | `isLogFileLimitEnabled()` Indicates whether a server will limit the number of log files that it creates when it rotates the log.
`boolean` | `isLoggingEnabled()` Gets the loggingEnabled attribute of the WebServerMBean object
`boolean` | `isSendServerHeaderEnabled()` Indicates whether this server instance includes its name and WebLogic Server version number in HTTP response headers.
`boolean` | `isSingleSignonDisabled()` Gets the singleSignonDisabled attribute of the WebServerMBean object
`boolean` | `isUseHeaderEncoding()`
`boolean` | `isUseHighestCompatibleHTTPVersion()` Gets the useHighestCompatibleHTTPVersion attribute of the WebServerMBean object
`boolean` | `isWAPEnabled()` Gets the wAPEnabled attribute of the WebServerMBean object Indicates whether the session ID should include JVM information.
`void` | `setAcceptContextPathInGetRealPath(boolean enable)` Beginning with this release inclusion of the contextPath in the virtualPath to the context.getRealPath() will not be allowed as it breaks the case when the subdirectories have the same name as contextPath.
`void` | `setAuthCookieEnabled(boolean enable)` Enables use of additional secure AuthCookie to make access to https pages with security constraints more secure.
`void` | `setCharsets(java.util.Map charsets)` User defined mapping between internet and Java charset names
`void` | `setChunkedTransferDisabled(boolean disable)` Disables the use of Chunk Transfer-Encoding in HTTP/1.1
`void` | `setClusteringEnabled(boolean enable)` Enables HTTP clustering
`void` | `setDefaultServerName(java.lang.String serverName)` Sets the defaultServerName attribute of the WebServerMBean object
`void` | `setDefaultWebApp(WebAppComponentMBean context)` Servlet 2.3 Web Application that maps to the "default" servlet context (where ContextPath = "/").
`void` | `setFrontendHost(java.lang.String hostName)` Sets the frontendHost attribute of the WebServerMBean object
`void` | `setFrontendHTTPPort(int httpPort)` Sets the frontendHTTPPort attribute of the WebServerMBean object
`void` | `setFrontendHTTPSPort(int httpsPort)` Sets the frontendHTTPSPort attribute of the WebServerMBean object
`void` | `setHttpsKeepAliveSecs(int secs)` Sets the httpsKeepAliveSecs attribute of the WebServerMBean object
`void` | `setKeepAliveEnabled(boolean enabled)` Returns whether or not HTTP keep-alive is enabled
`void` | `setKeepAliveSecs(int secs)` Sets the keepAliveSecs attribute of the WebServerMBean object
`void` | `setLogFileBufferKBytes(int kbytes)` The maximum size (in kilobytes) of the buffer that stores HTTP requests.
`void` | `setLogFileCount(int value)` Sets the LogFileCount attribute.
`void` | `setLogFileFlushSecs(int secs)` Sets the logFileFlushSecs attribute of the WebServerMBean object
`void` | `setLogFileFormat(java.lang.String format)` Sets the format of the HTTP log file.
`void` | `setLogFileLimitEnabled(boolean value)` Sets the LogFileLimitEnabled attribute.
`void` | `setLogFileName(java.lang.String fileName)` Sets the name of the file that stores the HTTP-request log.
`void` | `setLoggingEnabled(boolean enable)` Enables logging of HTTP requests.
`void` | `setLogRotationPeriodMins(int mins)` Sets the logRotationPeriodMins attribute of the WebServerMBean object
`void` | `setLogRotationTimeBegin(java.lang.String when)` Determines the start time for a time-based rotation sequence.
`void` | `setLogRotationType(java.lang.String type)` Sets the logRotationType attribute of the WebServerMBean object
`void` | `setLogTimeInGMT(boolean useGMT)` Sets the logTimeInGMT attribute of the WebServerMBean object
`void` | `setMaxLogFileSizeKBytes(int kbytes)` The size (1 - 65535 kilobytes) that triggers the server to move log messages to a separate file.
`void` | `setMaxPostSize(int bytes)` Max Post Size (in bytes) for reading HTTP POST data in a servlet request.
`void` | `setMaxPostTimeSecs(int secs)` Max Post Time (in seconds) for reading HTTP POST data in a servlet request.
`void` | `setPostTimeoutSecs(int secs)` Timeout (in seconds) for reading HTTP POST data in a servlet request.
`void` | `setSendServerHeaderEnabled(boolean enabled)` Determines whether this server instance includes its name and WebLogic Server version number in HTTP response headers.
`void` | `setSingleSignonDisabled(boolean disable)` Disables SingleSignon in webapps
`void` | `setURLResource(java.util.Map resource)` Adds a URL connection factory resource into JNDI
`void` | `setUseHeaderEncoding(boolean disable)` Enables use of Content-Type encoding for specific headers that are known to contain non-ISO-8859_1 characters.
`void` | `setUseHighestCompatibleHTTPVersion(boolean disable)` Enables use of the highest compatible HTTP protocol version-string in the response.
`void` | `setWAPEnabled(boolean enable)` Enables WAP

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### TIME_FORMAT

    public static final java.lang.String TIME_FORMAT

  The format string for log file rotation start time.

### DEFAULT_LOG_FILE_NAME

    public static final java.lang.String DEFAULT_LOG_FILE_NAME

Method Detail

### setLoggingEnabled

    public void setLoggingEnabled(boolean enable)

  Enables logging of HTTP requests.

  A configurable MBean attribute
  Default Value: true
  Old Property: weblogic.httpd.enableLogFile
  Secure Value: true
  Parameters:
    `enable` - The new loggingEnabled value

### isLoggingEnabled

    public boolean isLoggingEnabled()

  Gets the loggingEnabled attribute of the WebServerMBean object

  Returns:
    The loggingEnabled value

### getLogFileFormat

    public java.lang.String getLogFileFormat()

  Specifies the format of the HTTP log file. Both formats are defined by the W3C. With the extended log format, you use server directives in the log file to customize the information that the server records.

  A configurable MBean attribute
  Default Value: "common"
  Old Property: weblogic.httpd.logFileFormat
  Legal Values: "common","extended"
  Returns:
    The logFileFormat value

### setLogFileFormat

    public void setLogFileFormat(java.lang.String format)
                          throws javax.management.InvalidAttributeValueException,
                                 DistributedManagementException

  Sets the format of the HTTP log file. Both formats are defined by the W3C. With the extended log format, you use server directives in the log file to customize the information that the server records.

  Parameters:
    `format` - The new logFileFormat value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getLogTimeInGMT

    public boolean getLogTimeInGMT()

  Specifies whether the time stamps for HTTP log messages are in Greenwich Mean Time (GMT) regardless of the local time zone that the host computer specifies.

  Use this method to comply with the W3C specification for Extended Format Log Files. The specification states that all time stamps for Extended Format log entries be in GMT.

  This method applies only if you have specified the `extended` message format.

  A configurable MBean attribute
  Default Value: false
  Returns:
    The logTimeInGMT value

### setLogTimeInGMT

    public void setLogTimeInGMT(boolean useGMT)

  Sets the logTimeInGMT attribute of the WebServerMBean object

  Parameters:
    `useGMT` - The new logTimeInGMT value

### getLogFileName

    public java.lang.String getLogFileName()

  The name of the file that stores the HTTP-request log. If the pathname is not absolute, the path is assumed to be relative to the server's root directory.

  This value is relevant only if HTTP logging is enabled.

  The current logfile is always the one whose name equals value of the this attribute. If you have enabled log file rotation, when the current file exceeds the size or time limit, it is renamed.

  To include a time and date stamp in the file name when the log file is rotated, add `java.text.SimpleDateFormat` variables to the file name. Surround each variable with percentage (`%`) characters.

  For example, if the file name is defined to be `access_%yyyy%_%MM%_%dd%_%hh%_%mm%.log`, the log file will be named `access_yyyy_mm_dd_hh_mm.log`.

  When the log file is rotated, the rotated file name contains the date stamp. For example, if the log file is rotated on 2 April, 2003 at 10:05 AM, the log file that contains the old messages will be named `access_2003_04_02_10_05.log`.

  If you do not include a time and date stamp, the rotated log files are numbered in order of creation. For example, `access.log0007`.

  A configurable MBean attribute
  Default Value: DEFAULT_LOG_FILE_NAME
  Old Property: weblogic.httpd.logFileName
  Returns:
    The logFileName value

### setLogFileName

    public void setLogFileName(java.lang.String fileName)
                        throws javax.management.InvalidAttributeValueException

  Sets the name of the file that stores the HTTP-request log. If the pathname is not absolute, the path is assumed to be relative to the server's root directory.

  This value is relevant only if HTTP logging is enabled.

  To include a time and date stamp in the file name when the log file is rotated, add `java.text.SimpleDateFormat` variables to the file name. Surround each variable with percentage (`%`) characters.

  For example, if the file name is defined to be `access_%yyyy%_%MM%_%dd%_%hh%_%mm%.log`, the log file will be named `access_yyyy_mm_dd_hh_mm.log`.

  When the log file is rotated, the rotated file name contains the date stamp. For example, if the log file is rotated on 2 April, 2003 at 10:05 AM, the log file that contains the old messages will be named `access_2003_04_02_10_05.log`.

  If you do not include a time and date stamp, the rotated log files are numbered in order of creation. For example, `access.log0007`.

  Parameters:
    `fileName` - The new logFileName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getFrontendHost

    public java.lang.String getFrontendHost()

  Sets the HTTP frontendHost Provides a method to ensure that the webapp will always have the correct HOST information, even when the request is coming through a firewall or a proxy. If this parameter is configured, the HOST header will be ignored and the information in this parameter will be used in its place.

  A configurable MBean attribute
  Default Value: null
  Old Property: weblogic.httpd.defaultServerName
  Returns:
    The frontendHost value

### setFrontendHost

    public void setFrontendHost(java.lang.String hostName)
                         throws javax.management.InvalidAttributeValueException

  Sets the frontendHost attribute of the WebServerMBean object

  Parameters:
    `hostName` - The new frontendHost value
  Throws:
    javax.management.InvalidAttributeValueException -

### getFrontendHTTPPort

    public int getFrontendHTTPPort()

  Sets the frontendHTTPPort Provides a method to ensure that the webapp will always have the correct PORT information, even when the request is coming through a firewall or a proxy. If this parameter is configured, the HOST header will be ignored and the information in this parameter will be used in its place.

  A configurable MBean attribute
  Default Value: 0
  Returns:
    The frontendHTTPPort value

### setFrontendHTTPPort

    public void setFrontendHTTPPort(int httpPort)
                             throws javax.management.InvalidAttributeValueException

  Sets the frontendHTTPPort attribute of the WebServerMBean object

  Parameters:
    `httpPort` - The new frontendHTTPPort value
  Throws:
    javax.management.InvalidAttributeValueException -

### getFrontendHTTPSPort

    public int getFrontendHTTPSPort()

  Sets the frontendHTTPSPort Provides a method to ensure that the webapp will always have the correct PORT information, even when the request is coming through a firewall or a proxy. If this parameter is configured, the HOST header will be ignored and the information in this parameter will be used in its place.

  A configurable MBean attribute
  Default Value: 0
  Returns:
    The frontendHTTPSPort value

### setFrontendHTTPSPort

    public void setFrontendHTTPSPort(int httpsPort)
                              throws javax.management.InvalidAttributeValueException

  Sets the frontendHTTPSPort attribute of the WebServerMBean object

  Parameters:
    `httpsPort` - The new frontendHTTPSPort value
  Throws:
    javax.management.InvalidAttributeValueException -

### setLogFileBufferKBytes

    public void setLogFileBufferKBytes(int kbytes)
                                throws javax.management.InvalidAttributeValueException

  The maximum size (in kilobytes) of the buffer that stores HTTP requests. When the buffer reaches this size, the server writes the data to the HTTP log file. Use the `LogFileFlushSecs` property to determine the frequency with which the server checks the size of the buffer.

  A configurable MBean attribute
  Default Value: 8
  Old Property: weblogic.httpd.logFileBufferKBytes
  Legal Minimum Value: 0
  Legal Maximum Value: 1024
  Parameters:
    `kbytes` - The new logFileBufferKBytes value
  Throws:
    javax.management.InvalidAttributeValueException -

### getLogFileBufferKBytes

    public int getLogFileBufferKBytes()

  Gets the logFileBufferKBytes attribute of the WebServerMBean object

  Returns:
    The logFileBufferKBytes value

### getMaxLogFileSizeKBytes

    public int getMaxLogFileSizeKBytes()

  The size (1 - 65535 kilobytes) that triggers the server to move log messages to a separate file. After the log file reaches the specified size, the next time the server checks the file size, it will rename the current log file as `FileName.n` and create a new one to store subsequent messages.

  `0` causes the file to grow indefinitely.

  This property is relevant only if you choose to rotate files by `size`.

  A configurable MBean attribute
  Default Value: 5000
  Old Property: weblogic.httpd.maxLogFileSizeKBytes
  Legal Minimum Value: 0
  Returns:
    The maxLogFileSizeKBytes value

### setMaxLogFileSizeKBytes

    public void setMaxLogFileSizeKBytes(int kbytes)
                                 throws javax.management.InvalidAttributeValueException

  The size (1 - 65535 kilobytes) that triggers the server to move log messages to a separate file. After the log file reaches the specified size, the next time the server checks the file size, it will rename the current log file as `FileName.n` and create a new one to store subsequent messages.

  `0` causes the file to grow indefinitely.

  This property is relevant only if you choose to rotate files by `size`.

  Parameters:
    `kbytes` - The new maxLogFileSizeKBytes value
  Throws:
    javax.management.InvalidAttributeValueException -

### getLogRotationType

    public java.lang.String getLogRotationType()

  Criteria for moving old HTTP requests to a separate log file:
  - `size`. When the log file reaches the size that you specify in `MaxLogFileSizeKBytes`, the server renames the file as `LogFileName.n`.
  - `date`. At each time interval that you specify in `LogRotationPeriodMin`, the server renames the file as `LogFileName.n`.

  After the server renames a file, subsequent messages accumulate in a new file with the name that you specified in `LogFileName`.

  A configurable MBean attribute
  Default Value: "size"
  Old Property: weblogic.httpd.logRotationType
  Legal Values: "size","date"
  Returns:
    The logRotationType value

### setLogRotationType

    public void setLogRotationType(java.lang.String type)
                            throws javax.management.InvalidAttributeValueException

  Sets the logRotationType attribute of the WebServerMBean object

  Parameters:
    `type` - The new logRotationType value
  Throws:
    javax.management.InvalidAttributeValueException -

### getLogRotationPeriodMins

    public int getLogRotationPeriodMins()

  The interval (in minutes) at which the server saves old HTTP requests to another log file. This value is relevant only if you use the `date`-based rotation type.

  A configurable MBean attribute
  Default Value: 1440
  Old Property: weblogic.httpd.logRotationPeriodMins
  Legal Minimum Value: 1
  Legal Maximum Value: 2147483647
  Returns:
    The logRotationPeriodMins value

### setLogRotationPeriodMins

    public void setLogRotationPeriodMins(int mins)
                                  throws javax.management.InvalidAttributeValueException

  Sets the logRotationPeriodMins attribute of the WebServerMBean object

  Parameters:
    `mins` - The new logRotationPeriodMins value
  Throws:
    javax.management.InvalidAttributeValueException -

### getLogFileFlushSecs

    public int getLogFileFlushSecs()

  The interval (in seconds) at which the server checks the size of the buffer that stores HTTP requests. When the buffer exceeds the size that is specified in the `LogFileBufferKBytes` property, the server writes the data in the buffer to the HTTP request log file.

  A configurable MBean attribute
  Default Value: 60
  Old Property: weblogic.httpd.logFileFlushSecs
  Legal Minimum Value: 1
  Legal Maximum Value: 360
  Returns:
    The logFileFlushSecs value

### setLogFileFlushSecs

    public void setLogFileFlushSecs(int secs)
                             throws javax.management.InvalidAttributeValueException

  Sets the logFileFlushSecs attribute of the WebServerMBean object

  Parameters:
    `secs` - The new logFileFlushSecs value
  Throws:
    javax.management.InvalidAttributeValueException -

### getLogRotationTimeBegin

    public java.lang.String getLogRotationTimeBegin()

  Determines the start time for a time-based rotation sequence. At the time that this value specifies, the server renames the current log file. Thereafter, the server renames the log file at an interval that you specify in `LogRotationPeriodMins`.

  Use the following format: `MM-dd-yyyy-k:mm:ss` where

  - `MM` is the month as expressed in the Gregorian calendar
  - `dd` is the day of the month
  - `yyyy` is the year
  - `k` is the hour in a 24-hour format.
  - `mm` is the minute
  - `ss` is the second
  If the time that you specify is already past, the server calculates the initial rotation time based on the rotation start time and the rotation period. For example, if you specify Rotation Time 08-03-2004-15:30:00, Rotation Period 10 minutes, and start WebLogic Server at 08-03-2004-15:45:00, the server calculates the initial rotation start time as 15:30 + (10 * 2) minutes, and starts the file rotation at 15:50.

  By default, rotation starts based on the time that you restart the server instance plus the rotation period.

  Old Property: weblogic.httpd.logRotationPeriodMins
  Legal Value: LoggingLegalHelper.isLogStartTimeValid(WebServerMBean.TIME_FORMAT, value)
  Returns:
    The logRotationTimeBegin value

### setLogRotationTimeBegin

    public void setLogRotationTimeBegin(java.lang.String when)
                                 throws javax.management.InvalidAttributeValueException

  Determines the start time for a time-based rotation sequence. At the time that this value specifies, the server renames the current log file. Thereafter, the server renames the log file at an interval that you specify in `LogRotationPeriodMins`.

  Use the following format: `MM-dd-yyyy-k:mm:ss` where

  - `MM` is the month as expressed in the Gregorian calendar
  - `dd` is the day of the month
  - `yyyy` is the year
  - `k` is the hour in a 24-hour format. Valid values are `1-24`, where `24` is midnight.
  - `mm` is the minute
  - `ss` is the second
  If the time that you specify is already past, the server calculates the initial rotation time based on the rotation start time and the rotation period. For example, if you specify Rotation Time 08-03-2004-15:30:00, Rotation Period 10 minutes, and start WebLogic Server at 08-03-2004-15:45:00, the server calculates the initial rotation start time as 15:30 + (10 * 2) minutes, and starts the file rotation at 15:50.

  By default, rotation starts based on the time that you restart the server instance plus the rotation period.

  A configurable MBean attribute
  Parameters:
    `when` - The new logRotationTimeBegin value
  Throws:
    javax.management.InvalidAttributeValueException -

### setKeepAliveEnabled

    public void setKeepAliveEnabled(boolean enabled)

  Returns whether or not HTTP keep-alive is enabled

  Default Value: true
  Old Property: weblogic.httpd.keepAlive.enable
  Secure Value: true
  Parameters:
    `enabled` - The new keepAliveEnabled value

### isKeepAliveEnabled

    public boolean isKeepAliveEnabled()

  Gets the keepAliveEnabled attribute of the WebServerMBean object

  Returns:
    The keepAliveEnabled value

### getKeepAliveSecs

    public int getKeepAliveSecs()

  Number of seconds to maintain HTTP keep-alive before timing out the request.

  Default Value: 30
  Old Property: weblogic.httpd.http.keepAliveSecs
  Legal Minimum Value: 5
  Legal Maximum Value: 300
  Secure Value: 30
  Returns:
    The keepAliveSecs value

### setKeepAliveSecs

    public void setKeepAliveSecs(int secs)
                          throws javax.management.InvalidAttributeValueException

  Sets the keepAliveSecs attribute of the WebServerMBean object

  Parameters:
    `secs` - The new keepAliveSecs value
  Throws:
    javax.management.InvalidAttributeValueException -

### getHttpsKeepAliveSecs

    public int getHttpsKeepAliveSecs()

  Number of seconds to maintain HTTPS keep-alive before timing out the request.

  Default Value: 60
  Old Property: weblogic.httpd.https.keepAliveSecs
  Legal Minimum Value: 30
  Legal Maximum Value: 360
  Secure Value: 60
  Returns:
    The httpsKeepAliveSecs value

### setHttpsKeepAliveSecs

    public void setHttpsKeepAliveSecs(int secs)
                               throws javax.management.InvalidAttributeValueException

  Sets the httpsKeepAliveSecs attribute of the WebServerMBean object

  Parameters:
    `secs` - The new httpsKeepAliveSecs value
  Throws:
    javax.management.InvalidAttributeValueException -

### setPostTimeoutSecs

    public void setPostTimeoutSecs(int secs)
                            throws javax.management.InvalidAttributeValueException

  Timeout (in seconds) for reading HTTP POST data in a servlet request.

  Default Value: 30
  Old Property: weblogic.httpd.postTimeoutSecs
  Legal Minimum Value: 0
  Legal Maximum Value: 120
  Secure Value: 30
  Parameters:
    `secs` - The new postTimeoutSecs value
  Throws:
    javax.management.InvalidAttributeValueException -

### getPostTimeoutSecs

    public int getPostTimeoutSecs()

  Gets the postTimeoutSecs attribute of the WebServerMBean object

  Returns:
    The postTimeoutSecs value

### setMaxPostTimeSecs

    public void setMaxPostTimeSecs(int secs)
                            throws javax.management.InvalidAttributeValueException

  Max Post Time (in seconds) for reading HTTP POST data in a servlet request. MaxPostTime < 0 means unlimited

  Default Value: -1
  Parameters:
    `secs` - The new maxPostTimeSecs value
  Throws:
    javax.management.InvalidAttributeValueException -

### getMaxPostTimeSecs

    public int getMaxPostTimeSecs()

  Gets the maxPostTimeSecs attribute of the WebServerMBean object

  Returns:
    The maxPostTimeSecs value

### setMaxPostSize

    public void setMaxPostSize(int bytes)
                        throws javax.management.InvalidAttributeValueException

  Max Post Size (in bytes) for reading HTTP POST data in a servlet request. MaxPostSize < 0 means unlimited

  Default Value: -1
  Parameters:
    `bytes` - The new maxPostSize value
  Throws:
    javax.management.InvalidAttributeValueException -

### getMaxPostSize

    public int getMaxPostSize()

  Gets the maxPostSize attribute of the WebServerMBean object

  Returns:
    The maxPostSize value

### setSendServerHeaderEnabled

    public void setSendServerHeaderEnabled(boolean enabled)

  Determines whether this server instance includes its name and WebLogic Server version number in HTTP response headers. Providing this information poses a potential security risk if an attacker knows about some vulnerability in a specific version of WebLogic Server.

  Default Value: false
  Secure Value: false
  Parameters:
    `enabled` - The new sendServerHeaderEnabled value

### isSendServerHeaderEnabled

    public boolean isSendServerHeaderEnabled()

  Indicates whether this server instance includes its name and WebLogic Server version number in HTTP response headers.

  Returns:
    The sendServerHeaderEnabled value

### setDefaultWebApp

    public void setDefaultWebApp(WebAppComponentMBean context)

  Servlet 2.3 Web Application that maps to the "default" servlet context (where ContextPath = "/"). This param is being deprecated starting from 8.1 release. Set context-root="/" instead in weblogic.xml or application.xml.

  Default Value: null
  Old Property: weblogic.httpd.defaultWebApp
  Parameters:
    `context` - The new defaultWebApp value

### getDefaultWebApp

    public WebAppComponentMBean getDefaultWebApp()

  Gets the defaultWebApp attribute of the WebServerMBean object

  Returns:
    The defaultWebApp value

### setCharsets

    public void setCharsets(java.util.Map charsets)
                     throws javax.management.InvalidAttributeValueException

  User defined mapping between internet and Java charset names

  Default Value: null
  Old Property: weblogic.httpd.charsets
  Parameters:
    `charsets` - The new charsets value
  Throws:
    javax.management.InvalidAttributeValueException -

### getCharsets

    public java.util.Map getCharsets()

  Gets the charsets attribute of the WebServerMBean object

  Returns:
    The charsets value

### setURLResource

    public void setURLResource(java.util.Map resource)
                        throws javax.management.InvalidAttributeValueException

  Adds a URL connection factory resource into JNDI

  Default Value: null
  Old Property: weblogic.httpd.URLResource
  Parameters:
    `resource` - The new uRLResource value
  Throws:
    javax.management.InvalidAttributeValueException -

### getURLResource

    public java.util.Map getURLResource()

  Gets the uRLResource attribute of the WebServerMBean object

  Returns:
    The uRLResource value

### setChunkedTransferDisabled

    public void setChunkedTransferDisabled(boolean disable)

  Disables the use of Chunk Transfer-Encoding in HTTP/1.1

  A configurable MBean attribute
  Default Value: false
  Parameters:
    `disable` - The new chunkedTransferDisabled value

### isChunkedTransferDisabled

    public boolean isChunkedTransferDisabled()

  Gets the chunkedTransferDisabled attribute of the WebServerMBean object

  Returns:
    The chunkedTransferDisabled value

### setUseHighestCompatibleHTTPVersion

    public void setUseHighestCompatibleHTTPVersion(boolean disable)

  Enables use of the highest compatible HTTP protocol version-string in the response. E.g. HTTP spec suggests that HTTP/1.1 version-string should be used in response to a request using HTTP/1.0. This does not necessarily affect the response format.

  A configurable MBean attribute
  Default Value: true
  Parameters:
    `disable` - The new useHighestCompatibleHTTPVersion value

### isUseHighestCompatibleHTTPVersion

    public boolean isUseHighestCompatibleHTTPVersion()

  Gets the useHighestCompatibleHTTPVersion attribute of the WebServerMBean object

  Returns:
    The useHighestCompatibleHTTPVersion value

### setUseHeaderEncoding

    public void setUseHeaderEncoding(boolean disable)

  Enables use of Content-Type encoding for specific headers that are known to contain non-ISO-8859_1 characters.

  A configurable MBean attribute
  Default Value: false
  Secure Value: false

### isUseHeaderEncoding

    public boolean isUseHeaderEncoding()

### setAuthCookieEnabled

    public void setAuthCookieEnabled(boolean enable)

  Enables use of additional secure AuthCookie to make access to https pages with security constraints more secure. The session cookie will not be sufficient to gain access.

  Using this feature, the Web site designer can prevent session stealing. With this feature enabled, once you have logged in over https, the secure cookie is only sent encrypted over the network and therefore can never be stolen in transit. Therefore, a Web site designer can ensure that session stealing is not a problem by making all sensitive data require https. While the http session cookie (JSESSIONID) is still vulnerable to being stolen and used, all sensitive operations require the secure AuthCookie (_wl_authcookie_ cookie), which cannot be stolen, so those operations are protected.

  Note: This feature requires the browser to use cookies. If the browser does not support cookies and this feature is enabled, the user will not be able of login over https.

  A configurable MBean attribute
  Default Value: true
  Secure Value: true

### isAuthCookieEnabled

    public boolean isAuthCookieEnabled()

### getWriteChunkBytes

    public int getWriteChunkBytes()

  Gets the writeChunkBytes attribute of the WebServerMBean object

  Returns:
    The writeChunkBytes value

### isDebugEnabled

    public boolean isDebugEnabled()

  Gets the debugEnabled attribute of the WebServerMBean object

  Returns:
    The debugEnabled value

### isEventsEnabled

    public boolean isEventsEnabled()

  Gets the eventsEnabled attribute of the WebServerMBean object

  Returns:
    The eventsEnabled value

### setWAPEnabled

    public void setWAPEnabled(boolean enable)

  Enables WAP

  Default Value: false
  Parameters:
    `enable` - The new wAPEnabled value

### isWAPEnabled

    public boolean isWAPEnabled()

  Gets the wAPEnabled attribute of the WebServerMBean object Indicates whether the session ID should include JVM information. (Checking this box may be necessary when using URL rewriting with WAP devices that limit the size of the URL, and may also affect the use of replicated sessions in a cluster.) Checking this box ensures that the session ID returned when using URL Rewriting will not include any special characters and will be 52 characters in length.

  Returns:
    The wAPEnabled value

### setAcceptContextPathInGetRealPath

    public void setAcceptContextPathInGetRealPath(boolean enable)

  Beginning with this release inclusion of the contextPath in the virtualPath to the context.getRealPath() will not be allowed as it breaks the case when the subdirectories have the same name as contextPath. In order to support applications which might have been developed according to the old behaviour we are providing a compatibility switch. This switchwill be deprecated in future releases.

  Default Value: false
  Parameters:
    `enable` - The new acceptContextPathInGetRealPath value

### isAcceptContextPathInGetRealPath

    public boolean isAcceptContextPathInGetRealPath()

  Gets the acceptContextPathInGetRealPath attribute of the WebServerMBean object

  Returns:
    The acceptContextPathInGetRealPath value

### setSingleSignonDisabled

    public void setSingleSignonDisabled(boolean disable)

  Disables SingleSignon in webapps

  Default Value: false
  Parameters:
    `disable` - The new singleSignonDisabled value

### isSingleSignonDisabled

    public boolean isSingleSignonDisabled()

  Gets the singleSignonDisabled attribute of the WebServerMBean object

  Returns:
    The singleSignonDisabled value

### setClusteringEnabled

    public void setClusteringEnabled(boolean enable)

  Enables HTTP clustering

  Default Value: false
  Old Property: weblogic.httpd.clustering.enable
  Secure Value: false
  Parameters:
    `enable` - The new clusteringEnabled value

### isClusteringEnabled

    public boolean isClusteringEnabled()

  Gets the clusteringEnabled attribute of the WebServerMBean object

  Returns:
    The clusteringEnabled value

### getDefaultServerName

    public java.lang.String getDefaultServerName()

  Sets the HTTP defaultServerName

  A configurable MBean attribute
  Default Value: null
  Old Property: weblogic.httpd.defaultServerName
  Returns:
    The defaultServerName value

### setDefaultServerName

    public void setDefaultServerName(java.lang.String serverName)
                              throws javax.management.InvalidAttributeValueException

  Sets the defaultServerName attribute of the WebServerMBean object

  Parameters:
    `serverName` - The new defaultServerName value
  Throws:
    javax.management.InvalidAttributeValueException -

### isLogFileLimitEnabled

    public boolean isLogFileLimitEnabled()

  Indicates whether a server will limit the number of log files that it creates when it rotates the log. The limit is based on `getLogFileCount`.

  Default Value: false
  Returns:
    The logFileLimitEnabled value

### setLogFileLimitEnabled

    public void setLogFileLimitEnabled(boolean value)

  Sets the LogFileLimitEnabled attribute.

  Parameters:
    `value` -

### getLogFileCount

    public int getLogFileCount()

  The maximum number of log files that the server creates when it rotates the log. Only valid if `isLogFileLimitEnabled` is true and `setLogRotationType` is either `Size` or `Time`.

  Default Value: 7
  Legal Minimum Value: 1
  Legal Maximum Value: 9999
  Returns:

### setLogFileCount

    public void setLogFileCount(int value)

  Sets the LogFileCount attribute.

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD